

package alex;

import java.io.*;
import java.util.*;
import org.gudy.azureus2.core3.util.*; //SystemTime.java comes from here, also timer stuff 

public class apeer {

    public int tmp_udiff; 
    public int tmp_leechd_diff; 
    public int tmp_seedd_diff; 

    public byte[] peer_id;
    public String peer_ip;
    public String ctype;
    public int total_uploaded; 
    public int total_downloaded; 
    public long last_activity; 
    public boolean am_seed; 
    public int old_total_uploaded; 
    public int old_total_downloaded; 
    public long became_seed; 
    public int leech_total_downloaded; //bytes downloaded from peer before it became seed 
    public int random_token;

    public long last_received; 
    public long last_sent; 

    apeer(byte[] id, String ip, String ct, int rtoken) {
	peer_id = id; 
	peer_ip = ip; 
	ctype = ct; 
	total_uploaded = 0; 
	total_downloaded = 0;
	last_sent = 0; 
	last_received = 0; 
	last_activity = SystemTime.getCurrentTime();
	am_seed = false; 

	old_total_uploaded = 0; 
	old_total_downloaded = 0; 
	leech_total_downloaded = 0;
	
	random_token = rtoken;
    } 
	
    public int get_deficit() {
	return total_uploaded - total_downloaded; 
    } 

    public int get_random_token() {
	return random_token;
    } 

    public void save_old() {
	old_total_uploaded = total_uploaded; 
	old_total_downloaded = total_downloaded;
    } 
    public void update(boolean bSeed) {
	last_activity = SystemTime.getCurrentTime();
	if (bSeed== true && am_seed==false) {
	    became_seed = last_activity; 
	    leech_total_downloaded = total_downloaded; 
	} 
	am_seed = bSeed; 

    } 

}

