
// Alex Sherman (asherman@cs.columbia.edu) 
// 2009 
// The AManager class is used to instantiate and retrieve the 
// config, and logger objects

package alex;

import java.io.*;
import java.util.*;

public class AManager {

    static AStats as = null; 
    static AConfig ac = null; 
    
    public static AStats getStatsObject() {
	if (as==null) {
	    as = new AStats();
	} 
	return as; 
    } 

    public static AConfig getConfObject() {
	if (ac==null) {
	    ac = new AConfig();
	} 
	return ac; 
    } 

    public static boolean configured() {
	return (ac != null);
    }
    
    public static void configure() {
	if (ac==null) {
	    getConfObject(); //this also forces it to configure
	} 
    } 

} 
